﻿namespace Johnson
{
    internal class Program
    {
        static void Main()
        {
            string[] lines = File.ReadAllLines("C:\\Users\\КурносовИН\\source\\repos\\Johnson\\Johnson\\obj\\input.txt");
            int[,] machines = new int[lines.Length, lines[0].Split(' ').Length];
            for (int i = 0; i < lines.Length; i++)
            {
                string[] temp = lines[i].Split(' ');
                for (int j = 0; j < temp.Length; j++)
                    machines[i, j] = Convert.ToInt32(temp[j]);
            }

            int[,] arr2 = machines;
            int n = machines.GetLength(0);
            int rez = Machines.Optimal(machines, n);
            int rez1 = Machines.JohnsonMethod(machines, n, arr2);

            StreamWriter sw = new StreamWriter("C:\\Users\\КурносовИН\\source\\repos\\Johnson\\Johnson\\obj\\result.txt");
            Console.WriteLine("Оптимальный порядок: ");
            sw.WriteLine("Оптимальный порядок: ");
            for (int i = 0; i < machines.GetLength(0); i++)
            {
                for (int j = 0; j < machines.GetLength(1); j++)
                {
                    Console.Write(arr2[i, j] + " ");
                    sw.Write(arr2[i, j] + " ");
                }
                Console.WriteLine();
                sw.WriteLine();
            }
            sw.Close();

            Console.WriteLine("\nВремя простоя машины при первичном порядке: " + rez);
            Console.WriteLine("Время простоя машины при оптимальном порядке: " + rez1);
        }
    }

}
