﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Johnson
{
    internal class Machines
    {
        public static int JohnsonMethod(int[,] machines, int n, int[,] machines2)
        {
            int countup = 0;
            int countdown = 1;
            int[,] outputMachines = new int[n, 2];

            for (int k = 0; k < n; k++)
            {
                int mini = int.MaxValue;
                int minj = int.MaxValue;
                int mini1 = int.MaxValue;
                int minj1 = int.MaxValue;
                int count = 0;
                int min = int.MaxValue;

                for (int i = 0; i < machines.GetLength(0); i++)
                {
                    for (int j = 0; j < machines.GetLength(1); j++)
                    {
                        if (min > machines[i, j])
                        {
                            min = machines[i, j];
                            mini = i;
                            minj = j;
                        }

                    }
                }

                for (int i = 0; i < machines.GetLength(0); i++)
                {
                    for (int j = 0; j < machines.GetLength(1); j++)
                    {

                        if (min == machines[i, j])
                        {
                            count++;
                            mini1 = i;
                            minj1 = j;
                            if (count >= 2) // если есть совпадающие
                            {
                                if (minj == minj1) // проверка на столбик
                                {
                                    if (minj == 1)
                                    {
                                        if (machines[mini, 0] < machines[mini1, 0])
                                        {
                                            mini = mini1;
                                        }
                                    }
                                    else if (minj == 0)
                                    {
                                        if (machines[mini, 1] < machines[mini1, 1])
                                        {
                                            mini = mini1;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }

                if (minj == 0)
                {
                    outputMachines[0 + countup, 0] = min;
                    outputMachines[0 + countup, 1] = machines[mini, 1];
                    countup += 1;

                }
                else
                {
                    outputMachines[n - countdown, 0] = machines[mini, 0];
                    outputMachines[n - countdown, 1] = min;
                    countdown += 1;
                }


                machines[mini, 0] = int.MaxValue;
                machines[mini, 1] = int.MaxValue;
            }

            int rez = Optimal(outputMachines, n);


            for (int i = 0; i < machines2.GetLength(0); i++)
            {
                {
                    for (int j = 0; j < machines.GetLength(1); j++)
                    {

                        machines2[i, j] = outputMachines[i, j];
                    }
                }
            }

            machines2 = outputMachines;
            return rez;

        }
        public static int Optimal(int[,] machines, int n)
        {
            int[] outputMachines = new int[machines.Length];
            outputMachines[0] = machines[0, 0];
            outputMachines[n - 1] = machines[n - 1, 1];
            int sum = machines[0, 0];
            int sum1 = 0;

            for (int i = 1; i < machines.GetLength(0); i++)
            {
                sum += machines[i, 0];
                sum1 += machines[i - 1, 1];
                outputMachines[i] = sum - sum1;
            }

            int rez = outputMachines.Max();
            return rez;
        }
    }
}